<?php

declare(strict_types=1);

namespace App\Framework\Console;

enum ConsoleFormat: string
{
    case RESET = "0";
    case BOLD = "1";
    case DIM = "2";
    case ITALIC = "3";
    case UNDERLINE = "4";
    case BLINK = "5";
    case REVERSE = "7";
    case STRIKETHROUGH = "9";

    public function toAnsi(): string
    {
        return "\033[{$this->value}m";
    }
}
